| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
MEM_POOL Struct Reference

## Detailed Description

Definition at line 322 of file lib_mem.h.

`#include "lib_mem.h"`

## Data Fields
LIB_MEM_TYPE | Type
MEM_POOL * | SegPrevPtr
MEM_POOL * | SegNextPtr
MEM_POOL * | PoolPrevPtr
MEM_POOL * | PoolNextPtr
void * | PoolAddrStart
void * | PoolAddrEnd
void ** | PoolPtrs
MEM_POOL_IX | BlkIx
CPU_SIZE_T | PoolSize
CPU_SIZE_T | BlkNbr
CPU_SIZE_T | BlkSize
CPU_SIZE_T | BlkAlign
void * | SegAddr
void * | SegAddrNextAvail
CPU_SIZE_T | SegSizeTot
CPU_SIZE_T | SegSizeRem

## Field Documentation

CPU_SIZE_T BlkAlign

Definition at line 337 of file lib_mem.h.

MEM_POOL_IX BlkIx

Definition at line 333 of file lib_mem.h.

CPU_SIZE_T BlkNbr

Definition at line 335 of file lib_mem.h.

CPU_SIZE_T BlkSize

Definition at line 336 of file lib_mem.h.

void* PoolAddrEnd

Definition at line 331 of file lib_mem.h.

void* PoolAddrStart

Definition at line 330 of file lib_mem.h.

MEM_POOL* PoolNextPtr

Definition at line 328 of file lib_mem.h.

MEM_POOL* PoolPrevPtr

Definition at line 327 of file lib_mem.h.

void** PoolPtrs

Definition at line 332 of file lib_mem.h.

CPU_SIZE_T PoolSize

Definition at line 334 of file lib_mem.h.

void* SegAddr

Definition at line 340 of file lib_mem.h.

void* SegAddrNextAvail

Definition at line 341 of file lib_mem.h.

MEM_POOL* SegNextPtr

Definition at line 326 of file lib_mem.h.

MEM_POOL* SegPrevPtr

Definition at line 325 of file lib_mem.h.

CPU_SIZE_T SegSizeRem

Definition at line 343 of file lib_mem.h.

CPU_SIZE_T SegSizeTot

Definition at line 342 of file lib_mem.h.

LIB_MEM_TYPE Type

Definition at line 323 of file lib_mem.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/ucos_iii/Micrium/Software/uC-LIB/lib_mem.h